WmsGetStyles (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility.wms

## Class WmsGetStyles

- java.lang.Object
- - org.gcube.spatial.data.geoutility.wms.WmsGetStyles

-     public class WmsGetStyles
      extends Object

  The Class WmsGetStyles.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 22, 2016

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected NamespaceContextMap` | `context`
    `static org.apache.log4j.Logger` | `logger`
    `protected HashMap<String,String>` | `mappings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmsGetStyles()` Instantiates a new wms get styles.
    `WmsGetStyles(int connectionTimeout)` Instantiates a new wms get styles.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WmsServiceBaseUri` | `foundWmsServiceBaseUri(String uri)` Gets the geoserver base uri.
    `int` | `getResponseCode()` Gets the response code.
    `List<String>` | `getStylesFromWms(String urlConn, String layerName)` Gets the styles from wms.
    `static void` | `main(String[] args)` The main method.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.apache.log4j.Logger logger

    - #### mappings

          protected HashMap<String,String> mappings

    - #### context

          protected NamespaceContextMap context

  - ### Constructor Detail

    - #### WmsGetStyles

          public WmsGetStyles()

      Instantiates a new wms get styles.

    - #### WmsGetStyles

          public WmsGetStyles(int connectionTimeout)

      Instantiates a new wms get styles.
      Parameters:
        `connectionTimeout` - the connection timeout sets a specified timeout value, in milliseconds, to be used when opening WMS GetStyles request.

  - ### Method Detail

    - #### getStylesFromWms

          public List<String> getStylesFromWms(String urlConn,
                                      String layerName)

      Gets the styles from wms.
      Parameters:
        `urlConn` - the url conn
        `layerName` - the layer name
      Returns:
        the styles from wms

    - #### foundWmsServiceBaseUri

          public WmsServiceBaseUri foundWmsServiceBaseUri(String uri)

      Gets the geoserver base uri.
      Parameters:
        `uri` - the uri
      Returns:
        the input uri without the parameters, (the uri substring from start to index of '?' char (if exists)) if geoserver base url not found, geoserver url otherwise

    - #### getResponseCode

          public int getResponseCode()

      Gets the response code.
      Returns:
        the responseCode

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### main

          public static void main(String[] args)

      The main method.
      Parameters:
        `args` - the arguments

Copyright © 2016. All Rights Reserved.